Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Update Association , Allows you to update labels of an associations. Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-293776/cd0f4122abc04d3
PUT https://services.leadconnectorhq.com/associations/{associationId}

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Path parameters

associationId
string
required

Body

firstObjectLabel
object
default:"student"
required
secondObjectLabel
object
default:"tutor"
required

Respuestas

locationId
string
default:"string"
required
id
string
default:"ve9EPM428h8vShlRW1KT"
required
key
string
default:"student"
required
First Objects Association Label (custom_objects.children)
firstObjectLabel
object
default:"student"
required
First Objects Association Label (custom_objects.children)
firstObjectKey
object
default:"custom_objects.children"
required
First Objects Key
secondObjectLabel
object
default:"Teacher"
required
Second Object Association Label (contact)
secondObjectKey
object
default:"contact"
required
Second Objects Key
associationType
object
default:"USER_DEFINED"
required
Association Type can be USER_DEFINED or SYSTEM_DEFINED
{
  "locationId": "string",
  "id": "ve9EPM428h8vShlRW1KT",
  "key": "student",
  "firstObjectLabel": "student",
  "firstObjectKey": "custom_objects.children",
  "secondObjectLabel": "Teacher",
  "secondObjectKey": "contact",
  "associationType": "USER_DEFINED"
}
{}
{}
{}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/associations/YOUR_associationId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "firstObjectLabel": "student",
  "secondObjectLabel": "tutor"
}'